﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.3
@EndOfDesignText@
Sub Class_Globals
	Private ACToolBarLight1 As ACToolBarLight
	Private ToolbarHelper As ACActionBar
	Private MenuIcon As BitmapDrawable
	Private SMenu As SlidingMenu
	Private MenuItems As ListView
	Private Menus As List
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(ActionToolBarLight As ACToolBarLight, ActionBar As ACActionBar)
	ACToolBarLight1 = ActionToolBarLight
	ToolbarHelper = ActionBar
	
	MenuIcon.Initialize(LoadBitmap(File.DirAssets, "hamburger.png"))
	ToolbarHelper.Initialize
	ToolbarHelper.ShowUpIndicator = True
	
	ACToolBarLight1.NavigationIconDrawable = MenuIcon
	ACToolBarLight1.InitMenuListener
	
	ACToolBarLight1.Title = "AppCompact Example"
	ACToolBarLight1.SubTitle = ""
	ACToolBarLight1.Color = Colors.DarkGray
	
	SMenu.Initialize("SMenu")
	Dim offset As Int = 100dip
	SMenu.BehindOffset = offset
	SMenu.Mode = SMenu.LEFT
	
	Dim lftMenu As Panel
	lftMenu.Initialize("")
	SMenu.Menu.AddView(lftMenu, 0, 0, 100%x - offset, 100%y)
	lftMenu.LoadLayout("left_menu")
	
	Menus.Initialize
	Menus.AddAll(Array As String("Welcome", "Second" , "Third"))
	
	For i=0 To Menus.Size-1
		MenuItems.AddSingleLine(Menus.Get(i))
	Next
	MenuItems.Color = Colors.DarkGray
	
End Sub


Sub ACToolBarLight1_NavigationItemClick
	SMenu.ShowMenu
End Sub


Sub MenuItems_ItemClick (Position As Int, Value As Object)
	Dim mnu As String = Menus.Get(Position)
	If mnu = "Second" Then
		StartActivity(Second)
	End If
	If mnu = "Third" Then
		StartActivity(Third)
	End If
	
End Sub